## kmime 25.08.2+p24.04+vunstable+git20251022.0244

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.42")

project(KMime VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.18.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${KMime_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)

include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)
include(ECMCheckOutboundLicense)
include(ECMPoQmTools)

set(KMIME_LIB_VERSION ${PIM_VERSION})
set(QT_REQUIRED_VERSION "6.7.0")


find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core)

ecm_setup_version(PROJECT VARIABLE_PREFIX KMIME
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmime_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeConfigVersion.cmake"
                        SOVERSION 6
)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_FUZZERS "Build KMime fuzzers" OFF)

########### Find packages ###########
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.19.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if(BUILD_FUZZERS)
    add_subdirectory(autotests/ossfuzz)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6Mime")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6Mime_QCH
        FILE KPim6MimeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MimeQchTargets.cmake\")")
endif()


configure_package_config_file(
    "${KMime_SOURCE_DIR}/KPimMimeConfig.cmake.in"
    "${KMime_BINARY_DIR}/KPim6MimeConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${KMime_BINARY_DIR}/KPim6MimeConfig.cmake"
    "${KMime_BINARY_DIR}/KPim6MimeConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KPim6MimeTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MimeTargets.cmake
    NAMESPACE KPim6::
    )

install(FILES
    ${KMime_BINARY_DIR}/kmime_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KMime/
    COMPONENT Devel
    )

ecm_install_po_files_as_qm(poqm)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h)
ecm_check_outbound_license(LICENSES LGPL-2.0-only LGPL-3.0-only FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kmime (25.08.2+p24.04+vunstable+git20251022.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:44:50 +0000

## kmime 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,15 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.42")
+set(PIM_VERSION "6.5.3")
 
 project(KMime VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.14.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${KMime_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 include(KDEInstallDirs)
@@ -43,12 +42,10 @@
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-option(BUILD_FUZZERS "Build KMime fuzzers" OFF)
-
 ########### Find packages ###########
 find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
@@ -63,10 +60,6 @@
 if(BUILD_TESTING)
     add_subdirectory(autotests)
     add_subdirectory(tests)
-endif()
-
-if(BUILD_FUZZERS)
-    add_subdirectory(autotests/ossfuzz)
 endif()
 
 ########### CMake Config Files ###########

=== debian/changelog ===
kmime (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:42 +0100

kmime (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:22:07 +0100

=== debian/control ===
Source: kmime
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.3.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kmime
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmime
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmime.git
Rules-Requires-Root: no

Package: libkmime-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Arch independent data for library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the arch independent data for KMime.

Package: libkmime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6codecs-dev (>= 6.14.0~),
         libkpim6mime6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: library for handling MIME data - development files
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package contains the development files.

Package: libkpim6mime6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkmime-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kmime 25.08.3+p24.04+vunstable+git20251204.0149

=== debian/changelog ===
kmime (25.08.3+p24.04+vunstable+git20251204.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:49:21 +0000

kmime (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:23 +1000

## kmime 25.08.3+p24.04+vunstable+git20251206.0312

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.41")
 
 project(KMime VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.19.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${KMime_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
-set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 include(KDEInstallDirs)
@@ -42,10 +42,12 @@
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
+option(BUILD_FUZZERS "Build KMime fuzzers" OFF)
+
 ########### Find packages ###########
 find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
@@ -60,6 +62,10 @@
 if(BUILD_TESTING)
     add_subdirectory(autotests)
     add_subdirectory(tests)
+endif()
+
+if(BUILD_FUZZERS)
+    add_subdirectory(autotests/ossfuzz)
 endif()
 
 ########### CMake Config Files ###########

=== debian/changelog ===
kmime (25.08.3+p24.04+vunstable+git20251206.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:12:20 +0000

## kmime 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.41")
+set(PIM_VERSION "6.5.80")
 
 project(KMime VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${KMime_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

=== autotests/ossfuzz/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Azhar Momin <azhar.momin@kdemail.net>
# SPDX-License-Identifier: BSD-2-Clause

if(DEFINED ENV{LIB_FUZZING_ENGINE})
    set(fuzzing_engine $ENV{LIB_FUZZING_ENGINE})
else()
    if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
        set(fuzzing_engine -fsanitize=fuzzer)
    else()
        message(FATAL_ERROR "Fuzzing engine not supported")
    endif()
endif()


add_executable(kmime_fuzzer kmime_fuzzer.cc)
target_link_libraries(kmime_fuzzer PRIVATE KPim6Mime ${fuzzing_engine})

set_target_properties(kmime_fuzzer PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/fuzzers
)

=== debian/changelog ===
kmime (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:53:40 +0000

kmime (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:15:52 +0000

kmime (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:48:57 +0100

kmime (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:55:06 +0100

kmime (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:25:46 +0100

## kmime 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(KMime VERSION ${PIM_VERSION})

=== debian/changelog ===
kmime (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:08:37 +0000

## kmime 25.12.0

=== debian/changelog ===
kmime (25.12.0-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:30:17 +0000

kmime (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:44 +1000

## kmime 25.12.0+p24.04+vstable+git20251226.0147

=== debian/changelog ===
kmime (25.12.0+p24.04+vstable+git20251226.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 01:47:28 +0000

## kmime 25.12.0+p24.04+vstable+git20251231.0102

=== debian/changelog ===
kmime (25.12.0+p24.04+vstable+git20251231.0102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:02:27 +0000

## kmime 25.12.0+p24.04+vstable+git20260102.2215

=== debian/changelog ===
kmime (25.12.0+p24.04+vstable+git20260102.2215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 22:15:20 +0000

## kmime 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.1")
 
 project(KMime VERSION ${PIM_VERSION})

=== debian/changelog ===
kmime (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:38:15 +0100

kmime (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6codecs-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6codecs-dev (>= 6.18.0~),
                libkf6i18n-dev (>= 6.3.0~),
                qt6-base-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.6.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kmime
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmime
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmime.git
@@ -35,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.14.0~),
+Depends: libkf6codecs-dev (>= 6.18.0~),
          libkpim6mime6 (= ${binary:Version}),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},

## kmime 25.12.1+p24.04+vstable+git20260106.1955

=== debian/changelog ===
kmime (25.12.1+p24.04+vstable+git20260106.1955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 19:55:41 +0000

kmime (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:29:00 +1000

## kmime 25.12.1+p24.04+vstable+git20260111.0149

=== debian/changelog ===
kmime (25.12.1+p24.04+vstable+git20260111.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:49:18 +0000

## kmime 25.12.1+p24.04+vstable+git20260123.0148

=== debian/changelog ===
kmime (25.12.1+p24.04+vstable+git20260123.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:48:07 +0000

## kmime 25.12.2

=== debian/changelog ===
kmime (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 10:39:07 +0000

kmime (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:08:02 +0000

kmime (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:25:21 +0000
